<?php
/**
 * Différents exemples de requêtes SQL
 */
include 'include/php/functions.php';
?>
<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="utf-8">
    <title>SAÉ 303</title>
</head>
<body>
	<h1>SAÉ 303</h1>
	<p>
		Concevoir des visualisations de données pour le web et un support animé.
	</p>
	<p>
		Voici quelques exemples d'utilisation de la base de données.
	</p>
	<p>
		Aussi, vous trouverez
	</p>
	<ul>
		<li><a href="test-charts.html">un exemple</a> avec deux graphiques utilisant Google Charts</li>
		<li><a href="regions.html">un exemple</a> avec une graphique avec les régions de l'Hexagone</li>
		<li><a href="search.php">un exemple</a> avec une barre de recherche</li>
	</ul>
	
	<section>
		<h2>Les BUT avec le plus grand nombre de candidats</h2>
		<ol>
<?php
$dbh = db_connection();
$sth = $dbh->prepare('SELECT lib_comp_voe_ins, voe_tot FROM parcoursup
    WHERE fili = "BUT"
    ORDER BY voe_tot DESC LIMIT 5');
$sth->execute();
$result = $sth->fetchAll();
foreach ($result as $row) {
	echo '<li>' . $row['lib_comp_voe_ins'] . ' (<em>' . $row['voe_tot'] . ' candidats</em>)</li>';
}
?>
		</ol>
	</section>

	<section>
		<h2>Les villes avec le plus de BTS</h2>
		<ol>
<?php
$sth = $dbh->prepare('SELECT ville_etab, count(*) AS count FROM parcoursup
	WHERE fili = "BTS"
	GROUP BY ville_etab
	ORDER BY count DESC LIMIT 5');
$sth->execute();
$result = $sth->fetchAll();
foreach ($result as $row) {
	echo '<li>' . $row['ville_etab'] . ' (<em>' . $row['count'] . ' BTS</em>)</li>';
}
?>
		</ol>
	</section>

	<section>
		<h2>Les BUT Informatique avec le plus grand nombre de candidates admises</h2>
		<ol>
<?php
$sth = $dbh->prepare('SELECT lib_comp_voe_ins, acc_tot_f, acc_tot FROM parcoursup
	WHERE lib_for_voe_ins LIKE "BUT - Informatique%"
    ORDER BY acc_tot_f DESC LIMIT 5');
$sth->execute();
$result = $sth->fetchAll();
foreach ($result as $row) {
	echo '<li>' . $row['lib_comp_voe_ins'] . ' (<em>' . $row['acc_tot_f'] . ' étudiantes sur ' . $row['acc_tot'] . '</em>)</li>';
}
?>
		</ol>
	</section>
</body>
</html>