<?php
/**
 * Barre de recherche de formations avec affichage d'informations
 * 
 * L'utilisateur choisit une formation dans le formulaire.
 * Le formulaire envoie cette information vers la même page, et on
 * affiche le nombre de places et de candidats.
 */
include 'include/php/functions.php';
?>
<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="utf-8">
    <title>SAÉ 303</title>
</head>
<body>
	<h1>SAÉ 303</h1>

    <form method="get" action="search.php">
        <label>
            Choisis une formation&nbsp;:
            <input list="formations" name="formation" style="width: 400px">
        </label>
        <datalist id="formations">
<?php
// On remplit l'élément datalist (les suggestions pour le formulaire) avec les noms des formations
$dbh = db_connection();
$sth = $dbh->prepare('SELECT lib_comp_voe_ins FROM parcoursup
    ORDER BY lib_comp_voe_ins ASC');
$sth->execute();
$result = $sth->fetchAll();
foreach ($result as $row) {
	echo '<option value="' . $row['lib_comp_voe_ins'] . '">';
}
?>
        </datalist>
        <input type="submit" value="Confirmer">
    </form>

<?php
// Si $_GET['formation'] est défini, ça veut dire qu'on est arrivé dans cette page
// après avoir sélectionné une formation. Dans ce cas, on affiche les informations
// de cette formation
if (isset($_GET['formation'])) {
    $sth = $dbh->prepare('SELECT capa_fin, voe_tot FROM parcoursup
    WHERE lib_comp_voe_ins = :formation');
    $donnees = [
        "formation" => $_GET['formation']
    ];
    $sth->execute($donnees);
    $result = $sth->fetchAll();
    if (count($result) == 1) {
        // Si on obtient un résultat, on affiche les informations
        echo "<h2>" . $_GET['formation'] . "</h2>";
        echo "<p>" . $result[0]['voe_tot'] . " candidats pour " . $result[0]['capa_fin'] . " places</p>";
    }
} else {
    echo "<p>Veuillez choisir une formation</p>";
}
?>
</body>
</html>